> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-hi/deploy/serverless/video-inference/use-a-fine-tuned-model.md).

# एक Fine-Tuned Model का उपयोग करें

आप video inference API के साथ उन models का उपयोग कर सकते हैं जिन्हें आपने Roboflow में train किया है या upload किया है।

### Video Inference API के साथ एक Fine-Tuned Model का उपयोग करें

सबसे पहले, Roboflow Python package इंस्टॉल करें:

```bash
pip install roboflow
```

इसके बाद, एक नई Python file बनाएं और निम्नलिखित code जोड़ें:

```python
from roboflow import Roboflow

rf = Roboflow(api_key="API_KEY")
project = rf.workspace().project("PROJECT_NAME")
model = project.version(MODEL_ID).models()[0]

job_id, signed_url, expire_time = model.predict_video(
    "football-video.mp4",
    fps=5,
    prediction_type="batch-video",
)

results = model.poll_until_video_results(job_id)

print(results)
```

ऊपर, इन्हें बदलें:

* `API_KEY`: को अपनी Roboflow API key से बदलें
* `PROJECT_NAME`: को अपने Roboflow project ID से बदलें।
* `MODEL_ID`: को अपने Roboflow model ID से बदलें।

*महत्वपूर्ण नोट: वर्तमान में Roboflow का video inference केवल 30 जून, 2023 के बाद Roboflow में train किए गए models को सपोर्ट करता है। हम पुराने models को शामिल करने पर काम कर रहे हैं।*

[अपना API key कैसे प्राप्त करें, यह जानें](https://docs.roboflow.com/api-reference/authentication#retrieve-an-api-key).

[किसी model ID को कैसे प्राप्त करें, यह जानें](https://docs.roboflow.com/api-reference/workspace-and-project-ids).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-hi/deploy/serverless/video-inference/use-a-fine-tuned-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
